package com.company.util;

import javax.ws.rs.WebApplicationException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.sun.jersey.spi.container.ContainerRequest;
import com.sun.jersey.spi.container.ContainerRequestFilter;

public class CommonResourceFilter implements ContainerRequestFilter {

    private static final Logger logger = LoggerFactory.getLogger(CommonResourceFilter.class);
    private static final String LOGGER_PREFIX = "[CommonResourceFilter] ";

    @Override
    public ContainerRequest filter(ContainerRequest request) throws WebApplicationException {
        logger.info(LOGGER_PREFIX + "Inside CommonResourceFilter");
        String path = request.getPath();
        logger.info(LOGGER_PREFIX + "Base uri -- do nothing for now " + path);

        return request;
    }

}