package com.company.util;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Alternative;

import org.kie.internal.task.api.UserGroupCallback;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Alternative
// TODO: Tie this class to local user cache or to LDAP.
public class LDAPUserGroupCallback implements UserGroupCallback {

    private static final Logger logger = LoggerFactory.getLogger("LDAPUserGroupCallback.class");
    private static final String LOGGER_PREFIX = "[LDAPUserGroupCallback]";

    public boolean existsUser(String userId) {
        logger.info(LOGGER_PREFIX + "existsUser " + userId + " called");
        return true;
    }

    public boolean existsGroup(String groupId) {
        logger.info(LOGGER_PREFIX + "existsGroup " + groupId + " called");

        return true;
    }

    public List<String> getGroupsForUser(String getGroupsForUser, List<String> groupIds,
            List<String> allExistingGroupIds) {
        logger.info(LOGGER_PREFIX + "getGroupsForUser " + getGroupsForUser + groupIds + " called");
        List<String> groupList = new ArrayList<String>();
        groupList.add("portal-users");
        return groupList;
    }
}
